import React from 'react'
import { Field, reduxForm } from 'redux-form';

import './review-form.scss';

import { customInput } from "../customFields/customInput/customInput";
import { customTextarea } from "../customFields/customTextarea/customTextarea";

let ReviewForm = props => {
    //const { handleSubmit, postReviewSubmit } = props;
    const { handleSubmit } = props;

    const submit = value => {
        value.date = new Date().toDateString().slice(4);
        console.log(value);
        //postReviewSubmit(value);
    };

    return (
        <form className="form" onSubmit={handleSubmit(submit)}>
            <Field name="name" label="Full name"  type="text" id="name" component={customInput} />
            <Field name="text" label="Your message" type="text" id="text" component={customTextarea} />

            <div className="btn-group">
                <button type="submit" className="btn">Send</button>
            </div>
        </form>
        )
};

ReviewForm = reduxForm({
    form: 'reviewForm'
})(ReviewForm)

export default ReviewForm